<?php
require_once "conexion.php";

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $condicion = $_POST["condicion"];

    // Calcula el subtotal
    $subtotal = 0;
    $sql = "SELECT subtotal FROM selling_price WHERE invoice_id = $condicion"; // Cambia "tabla" según tus necesidades
    $result = $conn->query($sql);

    if ($result->num_rows > 0) {
        while ($row = $result->fetch_assoc()) {
            $subtotal += floatval($row["importe"]);
        }

        // Actualiza el campo subtotal en la tabla selling_price
        $sql = "UPDATE selling_price SET subtotal = '$subtotal' WHERE invoice_id = $condicion"; // Cambia "selling_price" según tus necesidades
        if ($conn->query($sql) === TRUE) {
            echo "Actualización de pie exitosa.";
        } else {
            echo "Error en la actualización: " . $conn->error;
        }
    } else {
        echo "No se encontraron registros para calcular el subtotal.";
    }
} else {
    echo "Método de solicitud incorrecto.";
}

$conn->close();
?>
